package com.example.proyecto;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;

public class SplashActivity extends Activity {
	 
    // Duracin en milisegundos que se mostrar el splash
    private final int DURACION_SPLASH = 4000; // 4 segundos
    ImageView i1,i2,i3;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // Tenemos una plantilla llamada splash.xml donde mostraremos la informacin que queramos (logotipo, etc.)
        setContentView(R.layout.splash);
        i1 = (ImageView) findViewById(R.id.imageView1);
        i2 = (ImageView) findViewById(R.id.imageView2);
        i3 = (ImageView) findViewById(R.id.imageView3);
        
        Animation a1 = AnimationUtils.loadAnimation(this, R.anim.splash);
        Animation a2 = AnimationUtils.loadAnimation(this, R.anim.rotar);
        
        
        i1.startAnimation(a1);
        i2.startAnimation(a1);
        i3.startAnimation(a2);
        
        new Handler().postDelayed(new Runnable(){
            public void run(){
            	
		// Cuando pasen los 3 segundos, pasamos a la actividad principal de la aplicacin
        	Intent intent = new Intent(SplashActivity.this, MainActivity.class);
        	startActivity(intent);
        	finish();
            };
        }, DURACION_SPLASH);
    }
}