package com.example.proyecto;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Vector;

import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONObject;

import android.app.Activity;
import android.graphics.Color;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Spinner;
import android.widget.TextView;


public class Tab3 extends Fragment {
	Vector<String> filelist;
	int jornada_actual;
	ViewGroup containe;
	View vi;
	Spinner spinner;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
       
    } 
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {
    		jornada_actual = 0;
    		System.out.println("JORNADA ACTUAL ONCREATEVIEW"+jornada_actual);
    		filelist = new Vector<String>();
    		this.containe = container;
    		vi = inflater.inflate(R.layout.list_resultados, container, false);
    	    spinner = (Spinner) vi.findViewById(R.id.select);
    		new HttpAsyncTask().execute("http://www.ffcv.es/nuevas_competiciones/vFenix/server.php?action=getResultados&cmp=30&jor="+jornada_actual+"&tmp=2014/2015");
    		spinner.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
    			ViewGroup cont = containe;
				public void onItemSelected(AdapterView<?> parent, View view, int pos, long id) {
					TextView selectedText = (TextView) parent.getChildAt(0);
					   if (selectedText != null){
					      selectedText.setTextColor(Color.WHITE);
					      selectedText.setText(selectedText.getText().toString().toUpperCase());
					      selectedText.setTextSize(12);
					   }
					Object item = parent.getItemAtPosition(pos);
    		        String dato[] = item.toString().split(" ");
    		        int j = Integer.parseInt(dato[1]);
    		        jornada_actual = j;
    		        new HttpAsyncTask().execute("http://www.ffcv.es/nuevas_competiciones/vFenix/server.php?action=getResultados&cmp=30&jor="+jornada_actual+"&tmp=2014/2015");
					
						
							
						
	    		        ListView li = (ListView) vi.findViewById(R.id.list);
	    		        MiAdaptadorResultados adapter = new MiAdaptadorResultados((Activity) cont.getContext(),filelist);
	    		        li.setAdapter(adapter);
    		    }
    		    public void onNothingSelected(AdapterView<?> parent) {
    		    }
    		});
    		return vi;
    }
    
  //ASYNTASK RESULTADOS
  	public static String GET(String url){
          InputStream inputStream = null;
          String result = "";
          try {
   
              // create HttpClient
              HttpClient httpclient = new DefaultHttpClient();
   
              // make GET request to the given URL
              HttpResponse httpResponse = httpclient.execute(new HttpGet(url));
   
              // receive response as inputStream
              inputStream = httpResponse.getEntity().getContent();
   
              // convert inputstream to string
              if(inputStream != null)
                  result = convertInputStreamToString(inputStream);
              else
                  result = "Did not work!";
   
          } catch (Exception e) {
              Log.d("InputStream", e.getLocalizedMessage());
          }
   
          return result;
      }
   
      private static String convertInputStreamToString(InputStream inputStream) throws IOException{
          BufferedReader bufferedReader = new BufferedReader( new InputStreamReader(inputStream));
          String line = "";
          String result = "";
          while((line = bufferedReader.readLine()) != null)
              result += line;
   
          inputStream.close();
          return result;
   
      }
   
      
      private class HttpAsyncTask extends AsyncTask<String, Void, String> {
    	  @Override
    	    protected void onPreExecute() {
    		  	
    	        if(jornada_actual == 0)
    	        	new JornadaActual().execute("http://www.ffcv.es/nuevas_competiciones/vFenix/server.php?action=listJornadas&tmp=2014/2015&cmp=30");
    	        super.onPreExecute();
    	    }
    	  
    	  @Override
          protected String doInBackground(String... urls) {
              return GET(urls[0]);
          }
          // onPostExecute displays the results of the AsyncTask.
          
          protected void onPostExecute(String result) {
              //Toast.makeText(getBaseContext(), "Received!", Toast.LENGTH_LONG).show();
        	  filelist.clear();
        	  JSONObject json;
  				//json = new JSONObject(result);
				String json2 = result;
				
				json2 = json2.replace("\\", "");
				json2 = json2.replace("{", "");
				json2 = json2.replace("}", "");
				json2 = json2.replace("[", "");
				json2 = json2.replace("]", "");
				json2 = json2.replace("\",", "XA");
				json2 = json2.replace(",", "");
				json2 = json2.replace("XA", "\",");
				json2 = json2.replace("\"", "");
				json2 = json2.replace("", "'");
				
				
				String[] lista = json2.split(",");
				String d ="";
				ArrayList<String> l = new ArrayList<String>();
				ArrayList<String> rl = new ArrayList<String>();
				ArrayList<String> el = new ArrayList<String>();
				ArrayList<String> v = new ArrayList<String>();
				ArrayList<String> rv = new ArrayList<String>();
				ArrayList<String> ev = new ArrayList<String>();
				
				ArrayList<String> h = new ArrayList<String>();
				ArrayList<String> f = new ArrayList<String>();
				
				
				for(int i=0;i<lista.length;i++){
					if(lista[i].toString().contains("nomLocal"))
						l.add(lista[i].replace("nomLocal:", ""));
					if(lista[i].toString().contains("resulLocal"))
						rl.add(lista[i].replace("resulLocal:", ""));
					if(lista[i].toString().contains("escudoLocal"))
						el.add(lista[i].replace("escudoLocal:", ""));
					if(lista[i].toString().contains("nomVisitante"))
						v.add(lista[i].replace("nomVisitante:", ""));
					if(lista[i].toString().contains("resulVisitante"))
						rv.add(lista[i].replace("resulVisitante:", ""));
					if(lista[i].toString().contains("escudoVisitante"))
						ev.add(lista[i].replace("escudoVisitante:", ""));
					if(lista[i].toString().contains("fecha"))
						f.add(lista[i].replace("fecha:", ""));
					if(lista[i].toString().contains("hora"))
						h.add(lista[i].replace("hora:", ""));
				}	  				
				for(int i=0;i<l.size();i++){
					d = l.get(i)+"_"+rl.get(i)+"_"+el.get(i)+
					"-"+v.get(i)+"_"+rv.get(i)+"_"+ev.get(i)+
					"-"+f.get(i)+"_"+h.get(i);
					filelist.add(d);
					
				}
				ListView li = (ListView) vi.findViewById(R.id.list);
				MiAdaptadorResultados adapter = new MiAdaptadorResultados((Activity) containe.getContext(),filelist);
				li.setAdapter(adapter);
              
         }
      }  
      
      private class JornadaActual extends AsyncTask<String, Void, String> {
        	
    	  @Override
            protected String doInBackground(String... urls) {
                return GET(urls[0]);
            }
            // onPostExecute displays the results of the AsyncTask.
            
            protected void onPostExecute(String result) {
            		
            	//Toast.makeText(getBaseContext(), "Received!", Toast.LENGTH_LONG).show();
                JSONObject json;
    				//json = new JSONObject(result);
  				String json2 = result;
  				
  				json2 = json2.replace("\\", "");
  				json2 = json2.replace("{", "");
  				json2 = json2.replace("}", "");
  				json2 = json2.replace("[", "");
  				json2 = json2.replace("]", "");
  				json2 = json2.replace("\",", "XA");
  				json2 = json2.replace("XA", "\",");
  				json2 = json2.replace("\"", "");
  				json2 = json2.replace("", "'");
  				//System.out.println(json2.toString());
  				
  				
  				String[] lista = json2.split(",");
  				String d ="";
  				String lista_jornadas="";
  				String ja = "1";
  				
  				
  				
  				for(int i=0;i<lista.length;i++){
  					if(lista[i].toString().contains("numJornadas"))
  						lista_jornadas = lista[i].replace("numJornadas:", "");
  					if(lista[i].toString().contains("jornadaActual"))
  						ja = lista[i].replace("jornadaActual:", "");
  				}
  				filelist.clear();
  				jornada_actual = Integer.parseInt(ja);
  				spinner.setSelection(jornada_actual-1);
           }
        }  
}


