package com.example.proyecto;

import android.content.res.Configuration;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTabHost;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;


public class MainActivity extends FragmentActivity {
	private FragmentTabHost tabHost;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		tabHost = (FragmentTabHost) findViewById(android.R.id.tabhost);
		tabHost.setup(this, getSupportFragmentManager(), android.R.id.tabcontent);
	    tabHost.addTab(tabHost.newTabSpec("Tab1").setIndicator("Informacin"),
	                           Tab1.class, null);
	    tabHost.addTab(tabHost.newTabSpec("Tab2").setIndicator("Clasificacin"),
	                           Tab2.class, null);
	    tabHost.addTab(tabHost.newTabSpec("Tab3").setIndicator("Resultados"),
                			   Tab3.class, null);
	    tabHost.addTab(tabHost.newTabSpec("Tab4").setIndicator("Estadsticas"),
                			   Tab4.class, null);
		
	    ImageView logo = (ImageView) findViewById(R.id.imageView1);
	    Animation alogo = AnimationUtils.loadAnimation(this, R.anim.tween);
	    
	    logo.setAnimation(alogo);
		
	}
	
	
	
	
}
